#!/bin/sh

# Script to use in combination with AudioCD-Cover.gobe
#
# Puts out a [tab] delimited songlist of the mounted AudioCD
# Output: Title[tab]Min[tab]Sec

AudioCD=`mountvolume -l | tac -s " cdda" | sed "s/\cdda//"`
AudioCD=`echo $AudioCD | tac -s "/" | head -n 1`

Path=\/"$AudioCD"\/wav						# The Songs are in the wav/ folder

if [ -d "$Path" ] ; then
	
	echo
	echo The mounted AudioCD is: $AudioCD
	echo
	
	cd "$Path"
	echo
	echo "One Moment please..."
	{
		for Title in *; do
			Track=`catattr Audio:Track "$Title" | tac -s " : " | head -n 1`
			Min=`catattr Audio:Length "$Title" | tac -s " : " | head -n 1 | sed "s/:[0-9]*//"`
			Sec=`catattr Audio:Length "$Title" | tac -s ":" | head -n 1`
			echo -e "$Track\t$Title\t$Min\t$Sec"	# Output as: Track[tab]Title[tab]Min[tab]Sec
		done
	} | sort -g > /var/tmp/CDlisttmp				# Sort after Tracknumber
	
	# Throw out Tracknumber
	awk -F\	 '{ print $2 "	" $3 "	" $4 }' /var/tmp/CDlisttmp > /var/tmp/CDlist
	
	echo
	echo "Finished. Now select all with ALT+A and copy it with ALT+C."
	echo "Close StyledEdit with ALT+W and paste with ALT+V into Gobe."
	
	StyledEdit /var/tmp/CDlist
	
	rm /var/tmp/CDlist
	rm /var/tmp/CDlisttmp

else
	echo
	echo "You have to mount the AudioCD before starting this script."
	
	alert "You have to mount the AudioCD before starting this script." "I see"

fi
